package com.kingdee.eas.custom.integration.apimgt;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class ApiRegistryBillFactory
{
    private ApiRegistryBillFactory()
    {
    }
    public static com.kingdee.eas.custom.integration.apimgt.IApiRegistryBill getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.integration.apimgt.IApiRegistryBill)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("54974055") ,com.kingdee.eas.custom.integration.apimgt.IApiRegistryBill.class);
    }
    
    public static com.kingdee.eas.custom.integration.apimgt.IApiRegistryBill getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.integration.apimgt.IApiRegistryBill)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("54974055") ,com.kingdee.eas.custom.integration.apimgt.IApiRegistryBill.class, objectCtx);
    }
    public static com.kingdee.eas.custom.integration.apimgt.IApiRegistryBill getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.integration.apimgt.IApiRegistryBill)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("54974055"));
    }
    public static com.kingdee.eas.custom.integration.apimgt.IApiRegistryBill getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.integration.apimgt.IApiRegistryBill)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("54974055"));
    }
}